FiltersOperations Class
FiltersOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectFiltersOperations
Constructor
FiltersOperations(client, config, serializer, deserializer)
Parameters
- client
Required
Client for service requests.
- config
Required
Configuration of service client.
- serializer
Required
An object model serializer.
- deserializer
Required
An object model deserializer.
Methods
| create_or_update |
Creates or updates a filter. |
| get |
Get a filter. |
create_or_update
Creates or updates a filter.
create_or_update(data_source_name: str, scan_name: str, body: Any = None, **kwargs: Any) -> Any
Parameters
- data_source_name
- str
Required
- scan_name
- str
Required
- body
- <xref:Any>
Required
Returns
JSON object
Return type
<xref:Any>
Exceptions
Examples
# JSON input template you can fill out and use as your body input.
body = {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"excludeUriPrefixes": [
"str" # Optional.
],
"includeUriPrefixes": [
"str" # Optional.
]
}
}
# response body for status code(s): 200, 201
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"excludeUriPrefixes": [
"str" # Optional.
],
"includeUriPrefixes": [
"str" # Optional.
]
}
}
get
Get a filter.
get(data_source_name: str, scan_name: str, **kwargs: Any) -> Any
Parameters
- data_source_name
- str
Required
- scan_name
- str
Required
Returns
JSON object
Return type
<xref:Any>
Exceptions
Examples
# response body for status code(s): 200
response.json() == {
"id": "str", # Optional.
"name": "str", # Optional.
"properties": {
"excludeUriPrefixes": [
"str" # Optional.
],
"includeUriPrefixes": [
"str" # Optional.
]
}
}
Feedback
Submit and view feedback for